%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   POE
%define modv   1.003


Summary:       A portable multitasking and networking framework for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Rocco Caputo <rcaputo@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib) >= 1.33
BuildRequires: perl(Curses) >= 1.08
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Errno) >= 1.09
BuildRequires: perl(Event) >= 1.00
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.87
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Poll) >= 0.01
BuildRequires: perl(IO::Pty) >= 1.02
BuildRequires: perl(LWP) >= 5.79
#BuildRequires:perl(POE::Test::Loops) >= 1.002
BuildRequires: perl(POSIX) >= 1.02
BuildRequires: perl(Socket) >= 1.7
BuildRequires: perl(Socket6) >= 0.14
BuildRequires: perl(Storable)
BuildRequires: perl(Symbol)
BuildRequires: perl(Term::Cap) >= 1.09
BuildRequires: perl(Term::ReadKey) >= 2.21
BuildRequires: perl(Test::Harness) >= 2.26
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.08
BuildRequires: perl(Tie::Handle)
BuildRequires: perl(Time::HiRes) >= 1.59
BuildRequires: perl(Tk) >= 800.027
BuildRequires: perl(URI) >= 1.30
BuildArch:     noarch


%description
POE is a framework for cooperative, event driven multitasking and networking
in Perl. Other languages have similar frameworks; Python has Twisted, TCL has
"the event loop". POE originally was developed as the core of a persistent
object server and runtime environment. It has since evolved into something
much more generic and widely useful.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES HISTORY README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Feb 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.003-1
- Initial build
